OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.ConservativeRasterDilate

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVConservativeRasterDilate :: MonadIO m => m Bool
- gl_NV_conservative_raster_dilate :: Bool
- gl_CONSERVATIVE_RASTER_DILATE_GRANULARITY_NV :: GLenum
- gl_CONSERVATIVE_RASTER_DILATE_NV :: GLenum
- gl_CONSERVATIVE_RASTER_DILATE_RANGE_NV :: GLenum
- glConservativeRasterParameterfNV :: MonadIO m => GLenum -> GLfloat -> m ()

# Extension Support

glGetNVConservativeRasterDilate :: MonadIO m => m Bool

Is the NV_conservative_raster_dilate extension supported?

gl_NV_conservative_raster_dilate :: Bool

Is the NV_conservative_raster_dilate extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVConservativeRasterDilate` in those cases instead.

# Enums

gl_CONSERVATIVE_RASTER_DILATE_GRANULARITY_NV :: GLenum

gl_CONSERVATIVE_RASTER_DILATE_NV :: GLenum

gl_CONSERVATIVE_RASTER_DILATE_RANGE_NV :: GLenum

# Functions

glConservativeRasterParameterfNV

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLfloat | `value`.
-> m () |